Package javassist.tools.rmi

# Class Sample

java.lang.Object
javassist.tools.rmi.Sample

public class Sample extends Object
A template used for defining a proxy class. The class file of this class is read by the `StubGenerator` class.

## Constructor Summary

Constructors
Constructor
Description
`Sample()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`forward(Object[] args, int identifier)`
`static Object`
`forwardStatic(Object[] args, int identifier)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Sample

public Sample()

## Method Details

### forward

public Object forward(Object[] args, int identifier)

### forwardStatic

public static Object forwardStatic(Object[] args, int identifier) throws RemoteException

Throws:
  `RemoteException`